body {
    margin: 0px;
}

/*==============header==================*/

header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    /* important */
    background-color: rgb(108, 88, 241);
    padding: 10px 20px;
    width: auto;
}

#nav {
    margin-left: 5Vw;
}

header h1 {
    display: inline;
    color: white;
    margin-left: 20px;
}

header ul {
    display: flex;
    gap: 10px;
    padding: 0;
    margin: 0;
}

header li {
    color: #FFF;
    height: fit-content;
    width: fit-content;
    list-style: none;
    padding: 5px;
    background-color: blueviolet;
    border-radius: 15px;
    width: max-content;
    margin-left: 10px;
}

header a {
    text-decoration: none;
    color: #FFF;
}

header li:hover {
    background-color: rgb(108, 88, 241);
    cursor: pointer;
}


/*==============dropdown==================*/

summary{
    list-style: none;
}
.dropdown details{
    border-radius: 10px;
}
.dropdown-content {
    position: absolute;
    width:auto;
    background-color: rgb(108, 88, 241);
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
}
.dropdown-content a {
    color: white;
    /*background-color: blueviolet;*/
    background-color:  rgb(108, 88, 241);
    border-radius: 10px;
    padding: 7px 9px;
    text-decoration: none;
    display: block;
}

.dropdown-content a:hover {
    background-color: blueviolet;
}
/*==============main==================*/
main {
    text-align: center;
    margin-top: 20px;
}

main h1 {
    font-size: 55px;
    margin-bottom: 40px;
}
/*==============about me==================*/
.textcontent {
    margin-left: 5%;
    width: 40%;
    margin: 0 auto;
    width: 90%;
    max-width: 700px;
}

#aboutme {
    display: flex;
}

#aboutme h2 {
    font-size: 45px;
    margin-bottom: 30px;
}

#aboutme a {
    text-decoration: none;
}

#aboutme p {
    font-size: 20px;
    width: auto;
    margin: auto;

}

main img {
    margin: 5%;
    width: 300px;
    height: auto;
    border-radius: 10%;
    border: 5px solid #000;
}

hr {
    margin: 1% 0 1% 0;
}
/*==============footer==================*/
footer {
    background-color: rgb(77, 77, 77);
    color: white;
    text-align: center;
    padding: 60px;
    padding-top: 30px;
    bottom: 0;
    width: auto;
}

.footerstuff {
    font-size: 20px;
    height: 150px;
    display: block;
    margin-bottom: 40px;
}

.footerstuff a {
    text-decoration: none;
    color: white;
    font-size: 20px;
    margin: 0 10px 0 10px;
}
/*==============for mobile==================*/
@media (max-width: 768px) {

    #nav {
        margin-left: 0;
    }

    header {
        padding-right: 55px;
        margin-left:0;
        flex-direction: column;
    }

    header ul {
        justify-content: center;
        /*flex-direction: column;*/
        font-size:xx-small;
        padding: 0;
        gap:0;
    }

    #aboutme {
        flex-direction: column;
        align-items: center;
        text-align: center;
    }

    main h1 {
        font-size: 36px;
    }

    #aboutme h2 {
        font-size: 30px;
    }

    main img {
        width: 80%;
        max-width: 300px;
    }

    #aboutme p{
        padding-right:5%;
    }
}
